--******************************************************************************************************************************
--* Licensed Materials - Property of IBM                                                                                       *
--* (c) Copyright IBM Corp. 2008, 2009 All Rights Reserved.                                                                    *
--*                                                                                                                            *
--*US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp*
--******************************************************************************************************************************

SET CURRENT SCHEMA $STAR_SCHEMA;

CREATE TABLE CAL_MESSAGES (
	CAL_ERROR_NO INTEGER,
	CAL_MESSAGE_CODE CHAR(12),
	CAL_ERR_MESSAGE VARCHAR (255)
)IN VSTR_32K INDEX IN VSTR_IDX;

INSERT INTO CAL_MESSAGES (CAL_ERROR_NO,CAL_MESSAGE_CODE,CAL_ERR_MESSAGE) VALUES (4586,'CRREW4586E','CRREW4586E: Błąd - niepoprawny typ kalendarza. Podaj 1 (gregoriański) lub 2 (ISO)');
INSERT INTO CAL_MESSAGES (CAL_ERROR_NO,CAL_MESSAGE_CODE,CAL_ERR_MESSAGE) VALUES (4587,'CRREW4587E','CRREW4587E: Błąd - wartość START_YEAR jest równa NULL lub jest większa niż END_YEAR');
INSERT INTO CAL_MESSAGES (CAL_ERROR_NO,CAL_MESSAGE_CODE,CAL_ERR_MESSAGE) VALUES (4588,'CRREW4588E','CRREW4588E: Błąd - wartość END_YEAR jest równa NULL lub jest mniejsza niż START_YEAR');
INSERT INTO CAL_MESSAGES (CAL_ERROR_NO,CAL_MESSAGE_CODE,CAL_ERR_MESSAGE) VALUES (4589,'CRREW4589E','CRREW4589E: Błąd - nie podano schematu hurtowni danych.  Podaj poprawny schemat');
INSERT INTO CAL_MESSAGES (CAL_ERROR_NO,CAL_MESSAGE_CODE,CAL_ERR_MESSAGE) VALUES (4590,'CRREW4590E','CRREW4590E: Błąd - wymiar daty jest uszkodzony, najmniejsza wartość daty jest różna od 1 stycznia');
INSERT INTO CAL_MESSAGES (CAL_ERROR_NO,CAL_MESSAGE_CODE,CAL_ERR_MESSAGE) VALUES (4591,'CRREW4591E','CRREW4591E: Błąd - wymiar daty jest uszkodzony, największa wartość daty jest różna od 31 grudnia');
INSERT INTO CAL_MESSAGES (CAL_ERROR_NO,CAL_MESSAGE_CODE,CAL_ERR_MESSAGE) VALUES (4592,'CRREW4592E','CRREW4592E: Błąd - kalendarz nieobsługiwany przez wymiar daty');
INSERT INTO CAL_MESSAGES (CAL_ERROR_NO,CAL_MESSAGE_CODE,CAL_ERR_MESSAGE) VALUES (4593,'CRREW4593E','CRREW4593E: Błąd - argument wymiaru daty END_YEAR jest mniejszy niż MIN(YEAR) w dacie D_DATE');
INSERT INTO CAL_MESSAGES (CAL_ERROR_NO,CAL_MESSAGE_CODE,CAL_ERR_MESSAGE) VALUES (4594,'CRREW4594E','CRREW4594E: Błąd - argument wymiaru daty START_YEAR jest większy niż MAX(YEAR) w dacie D_DATE');

COMMIT;
